{#
Template for the about page that contains the project description.
Author: Jero Schäfer
Last modified: 12.07.2020
#}
{% extends "base.html" %}

{% block page_content %}
    <main role="main">
        <section class="jumbotron text-center">
            <div class="container">
                <h1 class="jumbotron-heading">What can you do with NICE?</h1>
                <p class="lead text-muted">
                    You can find all interesting information about the NICE project below.
                </p>
                <p class="lead text-muted">
                    The ID of this NICE Blockchain is "{{ chain_id }}".
                </p>
                <p class="lead text-muted">
                    P2P server host and port: {{ host }}:{{ port }}
                </p>
            </div>
        </section>

        <h2 class="mb-1">Project Features</h2>
        <p class="lead">
            NICE - New Intelligent Chain Economy is a blockchain based music sharing
            platform based on a minimal proof of work blockchain and IPFS.
        </p>
        <hr class="my-4"/>
        <p class="lead">
            Everyone can connect to the webpage hosted on an instance of NICE
            and search for songs and stream them from the IPFS network.
        </p>
        <p class="lead">
            Verified contributors can upload their own songs to the network
            making them publicly available for everyone.
        </p>
        <hr class="my-4"/>
        <p class="lead">
            Each instance of NICE consists of
        </p>
        <ul class="list-group">
            <li class="list-group-item">
                <div class="d-flex w-100 justify-content-between">
                    <h3 class="mb-1">
                        A <a href="https://flask.palletsprojects.com/en/1.1.x/">Flask</a> server
                    </h3>
                </div>
                <p>
                    that deploys a website which allows searching searching, listening and
                    uploading music.
                </p>
            </li>
            <li class="list-group-item">
                <div class="d-flex w-100 justify-content-between">
                    <h3 class="mb-1">
                        A peer to peer node based on <a href="https://twistedmatrix.com/">Twisted</a>
                    </h3>
                </div>
                <p>
                    that communicates with other NICE nodes and synchronizes the blockchain.
                </p>
            </li>
            <li class="list-group-item">
                <div class="d-flex w-100 justify-content-between">
                    <h3 class="mb-1">
                        An <a href="https://ipfs.io/">IPFS</a> node
                    </h3>
                </div>
                <p>
                    that connects to the public IPFS network and is responsible for
                    uploading and downloading music.
                </p>
            </li>
            <li class="list-group-item">
                <div class="d-flex w-100 justify-content-between">
                    <h3 class="mb-1">
                        A <a href="https://gitlab.gwdg.de/jonathan.decker/NICE">NICE</a> blockchain.
                    </h3>
                </div>
            </li>
        </ul>

    </main>
{% endblock %}